Subject: Re: bug#25749: grep 3.0 skips "binary" lines in ssconvert output

From: Alexey Shipunov <[email-masked]>
Date: Thu, 16 Feb 2017 16:14:09 -0600

Yes, I understand. So maybe that supposed option should make grep go
through data two times? It could be hard though.

But reporting error not (only) in stdout but (also) to stderr should
be really helpful!

AS

2017-02-16 16:07 GMT-06:00 Paul Eggert <[email-masked]>:
> On 02/16/2017 10:10 AM, Alexey Shipunov wrote:
>>
>> I wonder how much work would require to invent new option, saying
>> --binary-text-strict which will cause grep to stop with error and do
>> not output anything...
>
>
> Something like that shouldn't be hard, although "do not output anything" is
> too simple, as we can't expect grep to make two passes through the whole
> input, which means that it could already have output something before it
> discovers the encoding error.
>